<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** Version 20180919 ****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
//$script_tz = date_default_timezone_get(); // Debug Code
//echo '$script_tz = '.$script_tz.'<br/>'; // Debug Code 
date_default_timezone_set("America/New_York");
$day_hour = date("G"); // The current hour
$day_minute = date("i"); // The current minute
$day_mon = date("d");
/*********************** Find the Third Thursday ***************************/
$cur_mon = date("n"); // The current month
$last_mon = ($cur_mon==1)?12:$cur_mon-1; // Last month
// Find the third Thursday's day of month by adding 2 wks. to first Thursday
$firstthurs=strtotime("next thursday",mktime(0,0,0,$cur_mon,1));
$thirdthurs_day_no=date('d',$firstthurs+60*60*24*14);// Compute third thursday rather than first, so add two weeks
if ( (($day_mon==$thirdthurs_day_no && ($day_hour>8 || ($day_hour==8 && $day_minute>=30)) )
		// Are we past 8:30 AM on the third Thursday of the month,
		|| $day_mon>$thirdthurs_day_no) ) { // or are we past the third Thursday?
	$ourNumber = 4;			// If so, use 4.
} else {
	$moStart = $last_mon;			// Otherwise use 5.
	$ourNumber = 5;
}
/********************** End Find the Third Thursday *************************/
############################################################################
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS CPC Near-Term Temperature and Precipitation Outlooks"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS CPC Near-Term Temperature and Precipitation Outlooks');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS CPC Near-Term Temperature and Precipitation Outlooks';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<link rel="stylesheet" type="text/css" href="./WU-History/WU-HistoryGray.css" />
<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
<style type="text/css">
.hidden {
	display: none;
	position: absolute;
	left: 0px;
	top:  0px;
	}
.shown {
	display: block;
	position: absolute;
	left: 0px;
	top:  0px;
	}
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
	}
</style>
<?php echo $standAlone?'
<style type="text/css">
body {
  font-family: "arial", sans-serif;
}
</style>
':''?>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
} else {
	date_default_timezone_set("America/New_York");
}
if (!function_exists('getUniqueImageURL')) {
	function getUniqueImageURL($image_url){
		$timestamp = time();
		if(strpos($image_url, '?')){
			$image_url = str_replace('?', "?$timestamp&", $image_url);
		}
		else{
			$image_url .= "?$timestamp";
		}
		return $image_url;
	}
} ?>
<?php
############################################################################
// Settings
$divWidth = '657';	// Set page width here - 656 works as default for Saratoga templates with style="border:inset"
$mouseOver = true; // Set to true for map change onmouseover, false for map change onclick.
// End of Settings
$maxWidth = '719';  // Maximum width of images
if (isset($_SESSION['CSSwidescreen'])) {
  $divWidth = ($_SESSION['CSSwidescreen']==1)? $maxWidth : $divWidth;
}
$divWidth = $standAlone?$maxWidth:$divWidth;
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth)?>px;<?php echo !$standAlone?'border:inset':''?>">
<?php } else { ?>
	<div id="main-copy" style="width:<?php echo $divWidth?>px" class="center">
<?php }	?>
  <div class="center" style="text-align:center; width:<?php echo $divWidth?>px">
	<br/><h2 align="center">
		<?php if (!$standAlone) {
			langtrans("NWS CPC Near-Term Temperature and Precipitation Outlooks");
		} else {
			echo 'NWS CPC Near-Term Temperature and Precipitation Outlooks';
		} ?></h2>
	<div class="center" style="width:<?php echo $divWidth?>px">
    <?php echo $standAlone?'<p':'<h3'?> align="center" ><a style="line-height:100%;<?php echo $standAlone?' font-size:20px; font-weight:bold; color:blue':''?>" href="wxcpcltoutlook.php">Long Term Outlooks</a><?php echo $standAlone?'</p>':'</h3>'?><hr/>
      <div id="tempOutlook" class="center" style="text-align:center; display:block">
        <p align="center"><span style="font-size:larger; font-weight:bold">6 Day to 3 Month Temperature Outlook</span><br/>
			<a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:150%; <?php echo $standAlone?'color:blue':''?>" onclick="toggle_section()">Click for Precipitation Outlook</a></p>
		<div class="center" style="width:<?php echo $divWidth?>px; position:relative">
      <table width="99%" align="center">
        <tr style="font-weight:bold; padding: 0px; cursor:pointer; vertical-align:top" >
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Days 6-10<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab('day610')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610temp.new.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 610 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Days 8-14<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab('day814')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/814day/814temp.new.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 814 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">One Month<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab('day30')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/30day/off1<?php echo $ourNumber?>_temp.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 30 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Three Months<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab('day90')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_temp.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 90 image"/></a></td>
        </tr></table>

      <hr/></div>
	    <div class="center" style="line-height:120%; font-size:10px; font-weight:bold">(<?php echo ($mouseOver?'Hover Over':'Click')?> a Thumbnail to Display a New Chart.)</div>
      <hr/>
		<div class="center" style="width:<?php echo $divWidth?>px; position:relative">
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610temp.new.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610temp.new.gif" id="day610" class="hidden" style="width:<?php echo $divWidth?>px" alt="Day 610"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/814day/814temp.new.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/814day/814temp.new.gif" id="day814" class="hidden" alt="Day 814" style="width:<?php echo $divWidth?>px"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/30day/off1'.$ourNumber.'_temp.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/30day/off1<?php echo $ourNumber?>_temp.gif" id="day30" class="hidden" alt="Day 30" style="width:<?php echo $divWidth?>px"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_temp.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_temp.gif" id="day90" class="hidden" alt="Day 90" style="width:<?php echo $divWidth?>px"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
      <!-- Display first chart -->
	  <div id="tempBlock" class="center" style="width:<?php echo $divWidth?>px;display:block">
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610temp.new.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610temp.new.gif" style="width:<?php echo $divWidth?>px" alt="Day 610"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
      </div>
	    </div>
			<p align="center"><a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:120%; <?php echo $standAlone?'color:blue':''?>" onclick="toggle_section()">Click for Precipitation Outlook</a></p>
      </div>
      <div id="precipOutlook" class="center" style="text-align:center; display:none">
        <p align="center"><span style="font-size:larger; font-weight:bold">6 Day to 3 Month Precipitation Outlook</span><br/>
				<a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:150%; <?php echo $standAlone?'color:blue':''?>" onclick="toggle_section()">Click for Temperature Outlook</a></p>
		<div class="center" style="width:<?php echo $divWidth?>px; position:relative">
      <table width="99%" align="center">
        <tr style="font-weight:bold; padding: 0px; cursor:pointer; vertical-align:top" >
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Days 6-10<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab2('day610p')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610prcp.new.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 610 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Days 8-14<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab2('day814p')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/814day/814prcp.new.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 814 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">One Month<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab2('day30p')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/30day/off1<?php echo $ourNumber?>_prcp.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 30 image"/></a></td>
        <td style="font-weight:bold; padding: 0px; cursor:pointer ">Three Months<a class="hvr-glow hvr-shrink" <?php echo ($mouseOver?'onmouseover':'onclick')?>="show_tab2('day90p')"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_prcp.gif" width="<?php echo $divWidth!=$maxWidth?'160':'177'?>" alt="day 90 image"/></a></td>
        </tr></table>
	    <hr/><div class="center" style="line-height:120%; font-size:10px; font-weight:bold">(<?php echo ($mouseOver?'Hover Over':'Click')?> a Thumbnail to Display a New Chart.)</div>
      <hr/>
		<div class="center" style="width:<?php echo $divWidth?>px; position:relative">
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610prcp.new.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610prcp.new.gif" id="day610p" class="hidden" style="width:<?php echo $divWidth?>px; height:<?php echo ($divWidth*1.05)?>px" alt="Day 610p"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/814day/814prcp.new.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/814day/814prcp.new.gif" id="day814p" class="hidden" alt="Day 814p" style="width:<?php echo $divWidth?>px"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/30day/off1'.$ourNumber.'4_prcp.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/30day/off1<?php echo $ourNumber?>_prcp.gif" id="day30p" class="hidden" alt="Day 30p" style="width:<?php echo $divWidth?>px"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_prcp.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_prcp.gif" id="day90p" class="hidden" alt="Day 90p" style="width:<?php echo $divWidth?>px"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
      <!-- Display first chart -->
	  <div id="precipBlock" class="center" style="width:<?php echo $divWidth?>px; display:none">
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610prcp.new.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.cpc.ncep.noaa.gov/products/predictions/610day/610prcp.new.gif" style="width:<?php echo $divWidth?>px" alt="Day 610p"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
      </div>
    </div>
		<p align="center"><a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:120%; <?php echo $standAlone?'color:blue':''?>" onclick="toggle_section()">Click for Temperature Outlook</a></p>
  </div>
  </div>
  <hr/>
      <?php echo $divWidth!=$maxWidth?'<p align="center" style="font-size:14px; font-weight:bold"><a href="wxcpcoutlook-SA.php" target="_blank" title="Largest Maps in New Tab">Full Size Maps</a></p>':''?>
    <div align="center" style="text-align:center">
		Maps and Data Courtesy of NOAA NWS <a style=" <?php echo $standAlone?'color:blue':''?>" href="https://www.cpc.ncep.noaa.gov/" target="_blank" title="Opens in New Tab">Climate Prediction Center</a>.<br/>
  </div>
  </div>
<script language="Javascript" type="text/javascript">
function show_tab(nam)
   {
   document.getElementById("day610").style.display= "none";
   document.getElementById("day814").style.display= "none";
   document.getElementById("day30").style.display= "none";
   document.getElementById("day90").style.display= "none";
   document.getElementById(nam).style.display = "block";
   };
function show_tab2(nam)
   {
   document.getElementById("day610p").style.display= "none";
   document.getElementById("day814p").style.display= "none";
   document.getElementById("day30p").style.display= "none";
   document.getElementById("day90p").style.display= "none";
   document.getElementById(nam).style.display = "block";
   };
function toggle_section(){ /* Simple toggle function */
	if (document.getElementById('precipOutlook').style.display == 'none') {
		document.getElementById('precipOutlook').style.display = 'block';
		document.getElementById('tempOutlook').style.display = 'none';
		document.getElementById('precipBlock').style.display = 'block';
		document.getElementById('tempBlock').style.display = 'none';
	} else {
		document.getElementById('precipOutlook').style.display = 'none';
		document.getElementById('tempOutlook').style.display = 'block';
		document.getElementById('precipBlock').style.display = 'none';
		document.getElementById('tempBlock').style.display = 'block';
	}
}
</script>
</div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>